@font-face {
  font-family: "Poppins";
  src: url("../fonts/Poppins-Regular.ttf") format("truetype");
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Birthstone";
  src: url("../fonts/Birthstone-Regular.ttf") format("truetype");
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Yeseva One";
  src: url("../fonts/YesevaOne-Regular.ttf") format("truetype");
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

* {
  /*  box-sizing: border-box;*/
  margin: 0;
  padding: 0;
}

*,
*::before,
*::after {
  box-sizing: border-box;
}

body {
  font-family: "Poppins", sans-serif;
  /*  overflow-x: hidden;*/
  scroll-behavior: smooth;
  font-size: 1rem;
  /*background-color: #1a0e02;*/
  color: #faeace;
  background-image: url(../img/bg.jpg);
}

a {
  color: inherit;
  text-decoration: none;
  font-weight: inherit;
}

a:visited {
  color: inherit;
}

a:hover {
  text-decoration: none;
  opacity: 0.9;
}

a:active,
a:focus {
  outline: none;
  color: inherit;
}

a:focus {
  outline: 0px solid #d4b06a;
  outline-offset: 3px;
}

ul {
  list-style: none;
}

img {
  max-width: 100%;
  display: block;
}

.animate,
.animate1 {
  opacity: 0;
}

.font-yeseva {
  font-family: "Yeseva One", serif;
}

.font-main {
  font-family: "Poppins", sans-serif;
}

.font-birthstone {
  font-family: "Birthstone", cursive;
}

.header-png {
  height: 100%;
}

header {
  position: relative;
  height: 630px;

  background-image: url(../img/baner.jpg);
  background-position: center top;
  background-repeat: no-repeat;
  background-size: contain;

 /* display: flex;
  align-items: center;*/

  text-shadow:
    0 1px 3px rgba(0, 0, 0, 0.3),
    0 0 2px rgba(0, 0, 0, 0.2);
}
.hero-content {
  height: 100%;
  display: flex;
  align-items: center;
}

@media (min-width: 576px) {
  header {
    height: 540px;
  }
}
@media (min-width: 768px) {
  header {
    height: 620px;
  }
}
@media (min-width: 992px) {
  header {
    height: 700px;
  }
}

@media (min-width: 1400px) {
  header {
    height: 850px;
  }
}

.top-bar {
  height: 40px; /* dopasuj do projektu */
  background: rgba(0, 0, 0, 0.2);
}


.nav-hero {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;

  padding-top: 4rem;

  display: flex;
  justify-content: space-between;
  align-items: flex-start;

  z-index: 2;
}

.hero-text{
  margin-top: -50px;
}

.podpis {
  font-size: 2.3rem;
  color: #a48357;
  padding-right: 70px;
}

.btn-hero {
  width: 90px;
  height: 90px;

  border-radius: 50%;

  display: flex;
  align-items: center;
  justify-content: center;

  text-decoration: none;
  font-size: 14px;
  letter-spacing: 1px;

  transition: 0.3s ease;
}

.btn-outline-gold {
  border: 2px solid #d4b06a;
  color: #d4b06a;
  background: transparent;
}

.btn-filled-gold {
  background: #d4b06a;
  color: #2a1206;
  border: 2px solid #d4b06a;
}

@media (max-width: 575.98px) {
  header {
    background-image: url(../img/baner_small.jpg);
    background-size: cover;
    background-position: center top;
    /*height: clamp(580px, 100vh, 700px);*/
  }
  .btn-hero {
    width: 60px;
    height: 60px;
    font-size: 11px;
    letter-spacing: 0.5px;
  }
  .social-icons img {
    width: 30px;
  }
}

/*@media (max-width: 767.98px) {
  header {
    height: clamp(550px, 100vh, 700px);
  }
}
*/
.gold {
  color: #ae884f;
}

.programy_text {
  background-image: url(../img/bg-omnie.jpg);
  background-position: center;
  background-size: contain;
  background-repeat: no-repeat;
}
.omnie_text {
  color: #ae884f;
  line-height: 1.5;
  font-size: 0.9rem;
}

#omnie h2,
#programy h2,
.opinie h2,
#kursy h2 {
  font-size: 3rem;
  text-shadow:
    0 1px 3px rgba(0, 0, 0, 0.3),
    0 0 2px rgba(0, 0, 0, 0.2);
}

.main-color {
  color: #faeace;
}

@media (min-width: 500px) and (max-width: 850px) {
  /* tutaj Twój CSS */
}

.programy_text {
  position: relative;
  z-index: 1;
}

.programy_text::before {
  content: "";
  position: absolute;
  top: 0;
  bottom: 0;
  left: -100px; /* wychodzi poza */
  right: 0;

  background: url(../img/bg-omnie.jpg) no-repeat center / contain;

  z-index: -1;
}

.cta-section .container {
  background-color: #b08a55;
  color: #1a0e02;
}

.btn-cta {
  display: inline-block;
  padding: 18px 50px;

  background-color: #d4b06a;
  color: #1a0e02;

  font-weight: 500;
  letter-spacing: 1px;

  transition: all 0.3s ease;
}

.btn-cta:hover {
  background-color: #c19a55;
  transform: translateY(-2px);
}

.opinie-grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(260px, 1fr));
  gap: 2rem;

  /*align-items: start;*/
}
.fb-card {
  background: #f1f1f1;
  padding: 1.2rem;
  border-radius: 6px;
  color: #333;
  line-height: 1.5;

  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.08);

  position: relative;
  font-size: 0.8rem;
}

.fb-like {
  position: absolute;
  bottom: -8px; /* wychodzi poza kartę */
  right: 10px;

  background: #f1f1f1;
  border-radius: 20px;

  padding: 2px 6px;
  font-size: 13px;
  color: #e25555;

  box-shadow: 0 2px 6px rgba(0, 0, 0, 0.15);
}

.footer-line {
  border: none;
  height: 2px;
  background: #ae884f;
  opacity: 0.6;
  margin: 0 auto 1rem;
}

.small-line {
  width: 250px;
  margin-top: 1rem;
  background: #d5b57e
}

.footer-name {
  letter-spacing: 2px;
  font-size: 1rem;
}

.footer-links {
  display: flex;
  justify-content: center;
  gap: 3rem;
  font-size: 0.8rem;
  letter-spacing: 1px;
}

.footer-links a {
  color: #d4b06a;
  transition: 0.3s ease;
}

.footer-links a:hover {
  opacity: 0.7;
}

#kursy{
  min-height: 300px;
}

.course-wrapper {
  color: #150d06;
  background: #fbf4e7;
  line-height: 1.4;
  margin-bottom: 50px;
}

.course-image img {
  object-fit: cover;
}

.course-content {
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.course-title {
  font-size: 1.9rem !important;
  font-weight: 700;
}

.course-lead {
  font-weight: 700;
  font-size: 0.97rem;
}

.course-btn {
  display: inline-block;
  align-self: flex-start; 
  background-color: #a67c52;
  color: #fff;
  padding: 14px 32px;
  text-decoration: none;
}

.course-btn:hover {
  background-color: #8f673f;
  color: #fff;
}

.course-section-title {
  font-weight: 600;
  margin-bottom: 1rem;
}

.course-list {
  list-style: disc;
  font-size: 0.9rem;
  padding-left: 18px;
}

#opis_kursu{
  min-height: 400px;
}

.light-bg{
  background-color: #fef5e5;
  color: #150d06;
}

.footer-light a {
  color: #150d06;
}

.footer-light .footer-line{
  background: #150d06;
}

#kurs-header{
  min-height: 600px;
  background-image: url(../img/chce_podwyzke_header.jpg);
  background-position: center top;
  background-size: cover;
}

#kurs-header {
  position: relative;
  height: clamp(600px, 100vh, 800px);
  display: flex;
  flex-direction: column;
}


.hero-content-kurs {
  flex: 1;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  padding: 2rem 1rem;
  text-shadow:
    0 1px 3px rgba(0, 0, 0, 0.3),
    0 0 2px rgba(0, 0, 0, 0.2);
}

.hero-title {
  font-size: 3rem;
  font-size: clamp(1.8rem, 5vw, 3rem);
  font-weight: 600;
  color: #fef5e5  
  margin-bottom: 1.5rem;
}

.hero-subtitle-box {
  display: inline-block;
  background: rgba(0, 0, 0, 0.3);
  padding: 1.2rem 2rem;
  color: #fef5e5;
  font-size: 1.25rem;
  font-size: clamp(1rem, 2.5vw, 1.25rem);
  line-height: 1.3;
  max-width: 700px;
}

#opis_kursu{
  font-size: 0.9rem;
}

#opis_kursu h3{
  font-size: 1.7rem;
  font-weight: bold;
}

.btn-buy {
  display: inline-block;
  background-color: #b88a44; /* złoty zbliżony do projektu */
  color: #000;
  font-weight: 600;
  text-transform: uppercase;
  letter-spacing: 1px;
  padding: 15px 60px;
  text-decoration: none;
  border: none;
}

.btn-buy:hover {
  background-color: #a67935;
  color: #000;
}

#polityka-header {
  background: #2a1204; /* ciemny brąz */
  padding: 40px 0 20px 0;
  height: 200px;
  background-image: url(../img/baner-bg.jpg);
  background-size: cover;
}

#polityka li{
  list-style: disc;
  font-size: 0.9rem;
}

.back-link {
  display: inline-block;
  text-decoration: none;
  /*color: #a67c52;*/
  font-size: 0.95rem;
  margin-bottom: 1rem;
}

#opis_kursu li{
  list-style: disc !important;
}


